BTGNCLI(1)

NAME
btgncli - bittorrent client, part of the btg project.

SYNOPSIS
btgncli [-o <filename> ] [-u <URL> ] [--nostart] [-l] [--noutput] [--command <command> ] [-A] [-a] [-s <session ID> ] [--config <filename> ] [--dht] [--no-dht] [--encryption] [--no-encryption] [-v] [-h]

DESCRIPTION
btgncli is a ncurses bittorrent client.

If started without any arguments, it will attempt to connect to the daemon (btgdaemon) and start a new session.

After the client connects to the daemon and initializes, it will present a list of torrents (if the client attached to a session with torrents). Press the help key (default /h/) to get help.

OPTIONS

-o  <filename> - Name of a torrent file to open after initializing the client.

-u  <URL> - URL to open after initializing the client. The URL should point to a torrent file.

--nostart
    - Do not start torrents after opening them. The default is to start a torrent after it was opened.

-l  - List running sessions.

-A  - Attach to the first available session.

-a  - Show a list of sessions and let the user choose which session to attach to.

-s  <session ID> - Attach to a session described by the session ID.

--config
    <filename> - Name of a client configuration file to use.

--dht
    - Enable DHT.

--no-dht
    - Disable DHT.

--encryption
    - Enable encryption.

--no-encryption
    - Disable encryption.

-v  - Be verbose.

-h|--help
    - Print a short help.

FILE BROWSER

In the file browser (used to locate torrents to load), one can press shift-letter to jump to that letter.

FILES
See btg_config(1).

CONFIGURATION

See btg_config(1).

    One can setup the keys and colors to be used by adding a "btgncli" section to the client config file. See below.

COLORS

Colors can be setup using the following keys.

COLOR_NORMAL

COLOR_BORDER

COLOR_FILE

COLOR_DIRECTORY

COLOR_MARK

COLOR_WARNING

COLOR_ERROR

A color can be setup with the following string: "R,G,B:R,G,B", where
    the first RGB value is the foreground color and the second RGB value is the background color. Notice that while the terminal used may support using colors, it is not certain that is supports changing the defined colors. If that is the case, btgncli will use the default colors and ignore any user defined colors.

KEYBOARD

Use the following configuration to assign ASCII values to keys used by this client:

KEY_HELP       - show help.

KEY_DETACH     - detach from the current session.

KEY_QUIT       - quit the application.

KEY_BACK       - quit an entry dialog.

KEY_LOAD       - load a torrent file.

KEY_LOAD_URL   - load an URL.

KEY_MENU       - show the per torrent menu.

KEY_SESNAME    - change session name.

KEY_SORT       - change the way torrents are sorted.

KEY_GLIMIT     - show global limit menu.

KEY_DOWN       - move down a list.

KEY_UP         - move up a list.

KEY_LIST_START - go to the beginning of a list.

KEY_LIST_END   - go to the end of a list.

KEY_SELECT     - select an entry in a list.

KEY_MARK       - mark an entry in a list.

KEY_MARK_ALL   - mark all entries in a list.

KEY_NEXT       - Next entry (used in limit dialogs).

KEY_PREV       - Previous entry (used in limit dialogs).

K_DELETE       - Delete a character.

For example, to set the help key to "h", one has to use the ASCII
    value 104.

EXAMPLE CONFIG
An example "btgncli" section is below.

[btgncli]
;
; Keys:
;

; h
KEY_HELP=104
; D
KEY_DETACH=68
; q
KEY_QUIT=113
; l
KEY_LOAD=108
; m
KEY_MENU=109
; g
KEY_GLIMIT=103
; x
KEY_DOWN=120
; w
KEY_UP=119
; a
KEY_LIST_START=97
; d
KEY_LIST_END=100
; return
KEY_SELECT=10
; s
KEY_MARK=115
; p
KEY_MARK_ALL=111
; b
KEY_NEXT=98
; v
KEY_PREV=118

;
; Colors;
;

COLOR_NORMAL=192,192,192:0,0,0
COLOR_BORDER=142,229,238:0,0,0

AUTHOR
Written by Michael Wojciechowski.

SEE ALSO
btg(5), btg_config(5), btgcli(1), btgui(1), btgdaemon(1)

BUGS
No known bugs.